Вход | Регистрация
 
1С:Предприятие :: 1С:Предприятие 8 общая

Стартер 1С не видит старую версию клиента после установки политикой

Стартер 1С не видит старую версию клиента после установки политикой
Я
   Шевген
 
29.10.19 - 14:57
Обновляем политикой на клиентах версию 1С, пока все клиенты не обновятся, на сервере не трогаем старую версию.
В общем проблема такая. После обновления политикой, на клиенте две папрки в програм файлс, 8.3.13.1644 и 8.3.15.1700. На сервере естественно 8.3.13.1644. После первой перезагрузки клиента и устновки новой версии, 1cestart.exe уже новый, но он нормально подхватывает то, что на сервере старая версия и запускает соответствующего клиента. Но в какой-то момент он перестает её видеть.
Пишет ошибку "HTTP: Conflict. Требуется установка новой версии 1С:Предприятия (необходима версия 8.3.13.1644)"
Причем, если запустить клиента принудительно из нужной папки (файл C:\Program Files (x86)\1cv8\8.3.13.1644\bin\1cv8s.exe), то всё работает.
Пробовал прописать в свойствах базы версию 1С:Предприятия 8.3.13.1644, но ошибка та же.

Гуглил, нашел пару человек с таким же вопросом, но решения там не предложили. Можно тупо на серваке тоже обновить версию и всё будет работать. Но хотелось бы обновлять клиентов пока не обновляя сервак
Что может быть?
 
 
   Ray Zexter
 
1 - 29.10.19 - 15:00
По идее нужно обновлять и клиентов и сервер сразу. Иначе 1С закономерно сопротивляется.
   Шевген
 
2 - 29.10.19 - 15:15
Раньше работало. Что-то изменилось, не могу понять, что
   Шевген
 
3 - 29.10.19 - 15:31
Как 1С стартер ищет установленные версии?
   hhhh
 
4 - 29.10.19 - 15:52
(2) когда раньше? 15 лет назад уже не работало. Раньше это лет 25 назад?
   hhhh
 
5 - 29.10.19 - 15:53
(3) в меню запуска баз поставьте платформу 8.3.13 у этой базы.
   Шевген
 
6 - 30.10.19 - 07:09
(4) Раньше - это до того, как мы 13 релиз поставили...
(5) В шапке написано, что это не работает
   Шевген
 
7 - 30.10.19 - 07:29
Есть компьютер, на котором стоят несколько версий, вероятно, устанавливались не политикой. Так вот, там клиент-серверная база работает на старой версии движка, а локальные базы работают на новой версии. И обе версии живут параллельно.
   Йохохо
 
8 - 30.10.19 - 07:38
(7) там только х86 поставили, без х64
   Kigo_Kigo
 
9 - 30.10.19 - 07:47
Обновлять колентов и потом сервак- дурь какая то, ИМХО надо делать все это прараллельно-одновременно и не замарачивать себе и пользователям мозг, если влетел 1 клиент на новом движке, старый уже не зайдет
   Йохохо
 
10 - 30.10.19 - 07:48
(9) если списки баз нормально формировать и распространять, то клиент на новом движке не влетит
   Шевген
 
11 - 30.10.19 - 08:14
Короче, я починил.
После установки копировался файл 1cestart.cfg в c:\programdata\ со ссылкой на файл баз.
Так вот, там отсутствовала строчка InstalledLocation=

Всё теперь работает нормально. Спасибо
   Шевген
 
12 - 30.10.19 - 08:15
(9) Херню пишете, как может влететь клиент на новом движке, если версия сервера старая?

Список тем форума
Рекламное место пустует  Рекламное место пустует
ВНИМАНИЕ! Если вы потеряли окно ввода сообщения, нажмите Ctrl-F5 или Ctrl-R или кнопку "Обновить" в браузере.